#!/usr/bin/env node

console.log('Initializing a Getting Started project');

import { existsSync, mkdirSync, copyFileSync } from 'fs';
import { resolve } from 'path';

const appFileName = 'app';
const homeControllerFileName = 'homeController';
const tsConfigFileName = 'tsconfig.json';

const controllersPath = resolve(process.cwd(), 'controllers');

if (!existsSync(controllersPath)) {

    mkdirSync(controllersPath);

    copyFileSync(resolve(__dirname, homeControllerFileName), resolve(controllersPath, `${homeControllerFileName}.ts`));

    copyFileSync(resolve(__dirname, appFileName), resolve(process.cwd(), `${app}.ts`));

    copyFileSync(resolve(__dirname, tsConfigFileName), resolve(process.cwd, tsConfigFileName));
}

